a:link { color: #004faf; text-decoration: none } a:visited { color: #672967; text-decoration: none }body { background: white; color: black; } -->

| Classes - Annotated - Tree - Functions - Home - Structure Qte

# QSignalMapper Class Reference

The QSignalMapper class bundles signals from identifiable senders. More...

`#include <qsignalmapper.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QSignalMapper ( QObject * parent, const char * name=0 )
- ~QSignalMapper ()
- virtual void setMapping ( const QObject * sender, int identifier )
- virtual void setMapping ( const QObject * sender, const QString & identifier )
- void removeMappings ( const QObject * sender )

## Public Slots

- void map ()

## Signals

- void mapped ( int )
- void mapped ( const QString & )

## Detailed Description

The QSignalMapper class bundles signals from identifiable senders.

Collects a set of parameterless signals, re-emitting them with an integer or string parameters corresponding to the object which sent the signal.

Examples: i18n/main.cpp

## Member Function Documentation

### QSignalMapper::QSignalMapper ( QObject * parent, const char * name=0 )

Constructs a QSignalMapper. Like all QObjects, it will be deleted when the parent is deleted.

### QSignalMapper::~QSignalMapper ()

Destructs the QSignalMapper.

### void QSignalMapper::map () `[slot]`

This slot emits signals based on which object sends signals to it.

### void QSignalMapper::mapped ( const QString & ) `[signal]`

This signal is emitted when map() is signalled from an object which has a string mapping set.

See also setMapping(QString).

### void QSignalMapper::mapped ( int ) `[signal]`

This signal is emitted when map() is signalled from an object which has an integer mapping set.

See also setMapping(int).

### void QSignalMapper::removeMappings ( const QObject * sender )

Removes all mappings for sender. This is done automatically when mapped objects are destroyed.

### void QSignalMapper::setMapping ( const QObject * sender, const QString & identifier ) `[virtual]`

Adds a mapping such that when map() is signalled from the given sender, the signal mapper(identifier) is emitted.

There may be at most one string identifier for each object, and it may not be null.

### void QSignalMapper::setMapping ( const QObject * sender, int identifier ) `[virtual]`

Adds a mapping such that when map() is signalled from the given sender, the signal mapped(identifier) is emitted.

There may be at most one integer identifier for each object.

Examples: i18n/main.cpp

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2005 Trolltech, all rights reserved.